Bug 259356 - www/py-httpx-socks: Update to 0.5.1
Summary: www/py-httpx-socks: Update to 0.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL: https://github.com/romis2012/httpx-so...
Keywords: needs-qa
Depends on: 259357
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-22 15:49 UTC by Zane C. Bowers-Hadley
Modified: 2021-11-15 08:12 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
git diff (1.54 KB, patch)
2021-10-22 15:49 UTC, Zane C. Bowers-Hadley
vvelox: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2021-10-22 15:49:28 UTC
Created attachment 228945 [details]
git diff

Not totally ready yet. Needs www/py-httpx to be updated to 0.20.0. We currently have 0.19.0 in the ports.

Also for some reason it diff is not showing 256527 as being removed. Just noticed that dir. Looks like it was accidentally added by the commiter previously.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-23 00:41:30 UTC
^Triage: 

- If there is a changelog or release notes URL available for this version, please add it to the URL field

- Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval:

  Attachment -> Details -> maintainer-approval [+]
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-15 07:54:07 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-11-15 08:10:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1911992ca4715cc3ba34b42d5fd8b03815e9b311

commit 1911992ca4715cc3ba34b42d5fd8b03815e9b311
Author:     Zane C. Bowers-Hadley <vvelox@vvelox.net>
AuthorDate: 2021-10-22 15:49:28 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-15 08:09:14 +0000

    www/py-httpx-socks: Update to 0.5.1

    * Remove 256527/225692-www_py-httpx-socks.diff that was added by
      mistake when this port was added to ports tree
    * While here, re-format Makefile with portfmt

    ChangeLog:      https://github.com/romis2012/httpx-socks/releases/tag/v0.5.1
    PR:             259356
    Fixes:          c87e99309f1a (www/py-httpx-socks: New port - Proxy (HTTP, SOCKS) transports for httpx)

 .../256527/225692-www_py-httpx-socks.diff (gone)   | 56 ----------------------
 www/py-httpx-socks/Makefile                        | 16 +++----
 www/py-httpx-socks/distinfo                        |  6 +--
 3 files changed, 11 insertions(+), 67 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-15 08:12:46 UTC
Committed with minor refinement. Thanks!